> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List reports with stable identities



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/reports
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/reports:
    get:
      summary: List reports with stable identities
      operationId: listWorkspaceReports
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportIdentityList'
      security:
        - cookieAuth: []
        - bearerAuth:
            - reports:read
components:
  schemas:
    ReportIdentityList:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          date:
            type: string
        required:
          - id
          - date
        additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````